> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization alerts

> Retrieve a paginated list of alerts for the organization. Supports filtering by service, workspace, user, alert type, and alert level.



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/alerts
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/alerts:
    get:
      tags:
        - Alerts
      summary: List organization alerts
      description: >-
        Retrieve a paginated list of alerts for the organization. Supports
        filtering by service, workspace, user, alert type, and alert level.
      operationId: publicGetAlerts
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: serviceId
          required: false
          in: query
          description: Filter by service ID
          schema:
            type: number
            example: 1
        - name: serviceName
          required: false
          in: query
          description: Filter by service name
          schema:
            example: Slack
            type: string
        - name: workspaceId
          required: false
          in: query
          description: Filter by workspace ID
          schema:
            type: number
            example: 1
        - name: userIdentifier
          required: false
          in: query
          description: >-
            Filter by user identifier. Searches across alert targetId, account
            key, and primary email. Can accept various formats: peopleAccountId
            (e.g. '97#user@example.com'), email, or full targetId.
          schema:
            example: user@example.com
            type: string
        - name: type
          required: false
          in: query
          description: Filter by alert type
          schema:
            example: retired_account
            type: string
            enum:
              - retired_account
              - inactive_account
              - on_leave_account
              - unknown_account
              - public_files
        - name: level
          required: false
          in: query
          description: Filter by alert level
          schema:
            example: warning
            type: string
            enum:
              - warning
              - caution
        - name: muted
          required: false
          in: query
          description: >-
            Filter by muted status (true = only muted, false = only unmuted,
            undefined = all)
          schema:
            example: false
            type: boolean
        - name: limit
          required: false
          in: query
          description: Number of items per page (1-100)
          schema:
            default: 20
            example: 20
            type: number
        - name: cursor
          required: false
          in: query
          description: >-
            Cursor for pagination. Use the nextCursor value from a previous
            response to fetch the next page.
          schema:
            example: eyJwYWdlIjoyLCJsaW1pdCI6MjB9
            type: string
      responses:
        '200':
          description: Successfully retrieved alerts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetAlertsResponseDto'
        '400':
          description: Invalid query parameters
        '401':
          description: Invalid or missing API key
      security:
        - API-Key: []
components:
  schemas:
    PublicGetAlertsResponseDto:
      type: object
      properties:
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/OnlyNextCursorMeta'
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicAlertResponseDto'
      required:
        - meta
        - items
    OnlyNextCursorMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
      required:
        - nextCursor
    PublicAlertResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        type:
          type: string
          readOnly: true
          enum:
            - retired_account
            - inactive_account
            - on_leave_account
            - unknown_account
            - public_files
          example: retired_account
        level:
          type: string
          readOnly: true
          enum:
            - warning
            - caution
          example: warning
        muted:
          type: boolean
          readOnly: true
        service:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/PublicAlertServiceInfoDto'
        workspace:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/PublicAlertWorkspaceInfoDto'
        user:
          nullable: true
          readOnly: true
          type: object
          allOf:
            - $ref: '#/components/schemas/PublicAlertUserInfoDto'
        fileId:
          type: string
          nullable: true
          readOnly: true
          example: file-id-123
        lastCheckedAt:
          type: string
          readOnly: true
          example: '2024-01-01T00:00:00.000Z'
        muteUntil:
          type: string
          readOnly: true
          example: '2024-01-01T00:00:00.000Z'
        createdAt:
          type: string
          readOnly: true
          example: '2024-01-01T00:00:00.000Z'
        updatedAt:
          type: string
          readOnly: true
          example: '2024-01-01T00:00:00.000Z'
      required:
        - id
        - type
        - level
        - muted
        - service
        - workspace
        - user
        - fileId
        - lastCheckedAt
        - muteUntil
        - createdAt
        - updatedAt
    PublicAlertServiceInfoDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        name:
          type: string
          readOnly: true
          example: Slack
        uniqueName:
          type: string
          nullable: true
          readOnly: true
          example: slack
      required:
        - id
        - name
        - uniqueName
    PublicAlertWorkspaceInfoDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        workspaceName:
          type: string
          nullable: true
          readOnly: true
          example: workspace-name
      required:
        - id
        - workspaceName
    PublicAlertUserInfoDto:
      type: object
      properties:
        peopleAccountId:
          type: string
          readOnly: true
          example: 157#user@example.com
        accountKey:
          type: string
          nullable: true
          readOnly: true
          example: user@example.com
        displayName:
          type: string
          nullable: true
          readOnly: true
          example: John Doe
        primaryEmail:
          type: string
          nullable: true
          readOnly: true
          example: user@example.com
      required:
        - peopleAccountId
        - accountKey
        - displayName
        - primaryEmail
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````